                  Genoa AudioBlitz Setup for OS/2
                             Beta Version 1.00
                                 (03/09/95)


     This document describes the means for setting up your Sound Card for
     proper operation under the OS/2 operating system environment. If you
     already have OS/2 installed, please read PART 1; if not, please
     proceed to PART 2 of this document. PART 3 of this document describes
     how to connect your existing or new CD-ROM drive to your Sound Card
     and provides a list of the CD-ROM models that are supported. PART 4
     describes the parameter options for the Sound Card setup program
     MAD16.ADD and PART 5 describes a brief trouble-shooting session for
     problems that may be encountered during and after the installation of
     the Sound Card setup program.

     Please note that the OS/2 Warp (Version 3.0) environment is assumed
     throughtout this document. If you have older versions of OS/2, the
     following steps may be applied accordingly to the Multimedia setup
     utilities provided by the older versions.

     Included with this README.1ST file and the MAD16.ADD Sound Card setup
     program is an example CONFIG.SYS file called CONFIG.TMP. The user may
     use it as a reference for updating their own CONFIG.SYS file.


         PART 1 - OS/2 Already Installed
                  Installing the Setup Program
                  Installing a Sound Blaster Pro Compatible Driver in OS/2

         PART 2 - OS/2 Not Installed
                  OS/2 Diskette Installation
                  OS/2 CD-ROM Installation (OS/2 Warp)

         PART 3 - CD-ROM Drive Interface
                  Interfacing a CD-ROM drive to your Sound Card
                  List of CD-ROM drive models supported by your Sound Card

         PART 4 - Options for MAD16.ADD Sound Card Setup Program

         PART 5 - Turn on/off the 3D SRS sound effect at DOS command prompt

         PART 6 - Brief Trouble-Shooting Session







PART 1 - OS/2 already installed

        Installing the Sound Card Setup program:

        1. Ensure that your Sound Card has been properly installed and power
           on your system and wait for the OS/2 Desktop to appear.

        2. Insert the diskette containing the Sound Card Setup program
           MAD16.ADD into your floppy disk drive.

        3. From your OS/2 Desktop, open (double click) the OS/2 System folder
           and then open the Command Prompts folder.

        4. Open either the OS/2 Window icon or the OS/2 Full Screen icon to
           start an OS/2 command prompt session.

        5. At the command prompt, type "a:" or "b:" to change to your floppy
           disk drive that contains the setup program.

        6. From your floppy disk drive, type "copy MAD16.ADD C:\OS2\BOOT" to
           copy the MAD16.ADD setup program from your floppy disk drive to
           your OS/2 boot directory.

        7. Type "c:" to get back to your c drive and type "tedit config.sys".
           This will bring up the CONFIG.SYS file for editing. Press the
           Esc (Escape) key to edit the file.

        8. Insert the following line to the first line of your CONFIG.SYS file:

            BASEDEV=MAD16.ADD MODE:sb BASE:220 SBIRQ:5 SBDMA:1 SBVER:3

           This sets up your Sound Card to Sound Blaster Pro compatible mode
           with I/O Base address at 220 Hex, Interrupt Request at 5, and DMA
           Request at 1.

           Note: Your Sound Card may also be configured for use with a CD-ROM.
                 To setup your Sound Card to interface with a CD-ROM, please
                 refer to PART 3 of this document.


        9. Verify that the syntax is correct and press the F2 key to save the
           file. Press the F3 key to exit the editor.

        10. Type "exit" to get back to your OS/2 desktop and proceed to install
            a Sound Blaster Pro compatible driver included in OS/2.



        Installing a Sound Blaster Pro compatible driver included in OS/2:

        1. From your OS/2 System folder, open the System Setup folder.

        2. From your System Setup folder, open Selective Install.

        3. The System Configuration window will pop up and the list of
           installable items will appear.

        4. Click on the icon next to the Multimedia Device Support field to
           select the Sound Blaster Pro compatible driver.

        5. A window with the list of supported audio drivers will be
           displayed. Select a Sound Blaster Pro compatible driver from the
           list of displayed drivers and click on ADD. If the driver has
           already been auto-detected, it will be displayed on the box on
           the right hand side.

        6. Click on "Device Settings..." to setup the hardware settings for
           the Sound Blaster Pro compatible driver. The settings should
           correspond to the settings specified in the
           "BASEDEV=MAD16.ADD..." line in your CONFIG.SYS file. Click on OK
           to confirm.

        7. From your System Configuration window, click on OK to start the
           installation for your Sound Blaster Pro compatible driver.
           A window will pop-up displaying the list of items to be installed.
           Ensure that the Multimedia Software Support check box is enabled
           (checked); if not, click on it and click on INSTALL to start the
           installation.

        8. At this point, you will be prompted for your OS/2 installation
           diskette or CD-ROM containing the Sound Blaster Pro compatible
           driver included in OS/2.

        9. After the installation is complete, shut down OS/2 and reboot your
           system for the changes to take effect. After the system is
           rebooted, you are now ready for games and multimedia applications.

           NOTE: After your Sound Card has been installed and configured,
                 your system may have devices (printers, network) which
                 might conflict with your Sound Card. Find out what Hardware
                 resources your other devices may be using (I/O Ports,
                 Interrupts, DMAs) and avoid these settings for your
                 Sound Card.



PART 2  - OS/2 not installed

        OS/2 Diskette Installation:

        1. Install OS/2 and proceed to PART 1 to complete the setup for your
           Sound Card.


        OS/2 CD-ROM Installation:

        If you intend to connect a CD-ROM to the CD-ROM interface of your
        sound card and use it for your OS/2 Warp installation, please follow
        the steps below. If not, install your CD-ROM with the interface card
        supplied by your CD-ROM manufacturer and proceed to install OS/2 Warp,
        after your installation, proceed to PART 1 of this document to
        complete the setup for your Sound Card.

        1. In the OS/2 Warp CD-ROM installation package, you will find two (2)
           "kicker" diskettes - a) Installation Diskette for CD-ROM, and
                                b) Diskette for CD-ROM (Disk 1).

        2. Copy the program MAD16.ADD located in your Sound Card Setup program
           diskette to the OS/2 Warp "kicker" diskette labeled "Diskette for
           CD-ROM (Disk 1)".

        3. Use an editor to edit the CONFIG.SYS file located in the same
           "kicker" diskette (DISK 1) and insert the following line to the
           first line of the CONFIG.SYS file:

     BASEDEV=MAD16.ADD MODE:sb BASE:220 SBIRQ:5 SBDMA:1 SBVER:3 CDTYPE:<model>

            where <model> is one of the following characters:
                          S               - stands for SONY
                          M               - stands for Mitsumi
                          P               - stands for Panasonic
                          I               - stands for IDE (secondary)

           This sets up your Sound Card to Sound Blaster Pro compatible mode
           with I/O Base at 220 Hex, Interrupt Request at 5, DMA Request
           at 1, and CD-ROM model to one which is supported by your Sound card.
           To determine if your CD-ROM is supported by your Sound Card's
           interface, please refer to PART 3 of this document for a list of
           CD-ROM drives that are supported.

           Verify that the syntax is correct and save the file. At this point,
           you are ready to install the CD-ROM version of OS/2 Warp. Ensure
           that your CD-ROM has been connected properly to the Sound Card
           before starting the installation. After the installation is
           complete, you will need to reboot your system for the new settings
           to take effect. After the system is rebooted, you are now ready for
           games and multimedia applications.

           NOTE: If you are upgrading your present operating system to OS/2,
                 you may use an existing editor provided by your operating
                 system to edit the above mentioned files such as the
                 MS-DOS Editor.


PART 3 - CD-ROM Drive Interface

        Interfacing a CD-ROM drive to your Sound Card:

        To interface/connect your new or existing CD-ROM drive to your
        sound card, please follow the simple steps below.

        If you are interfacing an existing CD-ROM drive to your sound card,
        you only need to follow steps 1 and 2 below since you should already
        have your existing CD-ROM driver setup in your CONFIG.SYS file.
        However, if your are interfacing a new CD-ROM drive, you will need
        to follow all 3 steps below; in which case, it is recommended that
        your perform step 1 first.


        1) Hardware setup

           To connect your CD-ROM drive to your sound card, you will need
           to setup the correct data connector cable from your CD-ROM to
           your sound card. Please refer to your sound card installation
           manual for more details.


        2) Modifying/Setting the MAD16.ADD setup program

           To interface your new or existing CD-ROM drive to your Sound Card,
           use an editor to open the CONFIG.SYS file for editing and locate
           the line "BASEDEV=MAD16.ADD..."  This line should be at the first
           line of the file. Insert the following "CDTYPE:" option into the
           line and when completed, it should read:

            BASEDEV=MAD16.ADD MODE:sb ..... CDTYPE:<model>

           where <model> is the CD-ROM model denoted by the following characters:
                       S       - stands for SONY
                       M       - stands for Mitsumi
                       P       - stands for Panasonic
                       I       - stands for IDE (secondary)

           For example, the following enables the interface for a SONY CD-ROM.

            BASEDEV=MAD16.ADD MODE:sb ......  CDTYPE:S

           If the above MAD16.ADD line is not located, proceed to PART 1 of
           this document for details on installing the Sound Card setup program.

           Save the file and proceed to install the CD-ROM driver if needed.


        3) Installing the CD-ROM driver

           Open the Selective Install program located in the System Setup
           folder and click on the icon next to the "CD-ROM Device Support"
           entry.  A window with the list of OS/2 supported CD-ROM drivers
           will appear. Select (click on) the CD-ROM driver name belonging
           to your CD-ROM model and click on OK to confirm. Click on OK to
           start your CD-ROM driver installation.

           If you have already succesfully connected your CD-ROM drive
           to your sound card as detailed in your installation manual, you
           may shut down OS/2 and reboot your system for the changes to
           take effect. If not, please proceed to connect your CD-ROM drive
           to your sound card after shutting down OS/2 and switching off
           your system.



        List of CD-ROM drive models supported by your Sound Card:

        Below lists the make and models of the CD-ROM drives that are
        supported by your Sound Card.


        MAKE        MODEL(s)                TYPE           Character Denotion
     --------------------------------------------------------------------------------------
        SONY        CDU-31A, 31A-02, 33A    Proprietary    S

        SONY        CDU-55D                 IDE            I

        PANASONIC   522, 523, 562, 563      Proprietary    P

        MITSUMI     LU005S, FX001D          Proprietary    M

        MITSUMI     FX001DE                 IDE            I

        PHILIPS     CM 207, CR 940I         IDE            I

        IPC         8001                    IDE            I

        WEARNES     CDD-120                 IDE            I


        If you have a CD-ROM which is not included in this list, please check
        that the drive is compatible with any of the above MAKE and MODELs.
        Contact the CD-ROM manufacturer for details on the compatibility of
        your drive. If your drive is compatible, the drive may be specified
        as the appropriate TYPE in the CDTYPE option.


PART 4 - Options for MAD16.ADD Sound Card Setup Program

        The following lists the available options for the MAD16.ADD
        sound card setup program.

        MODE:    wss, sb   (Sound Card mode, Sound Blaster (sb) or
                            Windows Sound System (wss) default is wss)

        BASE:    220, 240  (Sound Blaster I/O Base address, default is 220)
                 530, E80, F40, 604 (Windows Sound System ..., default is 530)

        SBIRQ:   5, 7, 10  (Sound Blaster Interrupt, default is 5)

                 The audio and CD-ROM interrupt selections must be different.

        SBDMA:   0, 1, 3        (Sound Blaster DMA, default is 1)

        SBVER:   1, 2, 3, 4     (Sound Baster Compatible Version setting,
                                 default is 3)

        CDTYPE:  None, SONY(S), Panasonic(P), Mitsumi(M), IDE(I) -
                 (default is None)

        CDBASE:  None, 320, 330, 340, 360  (default is based on CDTYPE)
                 SONY          - 320, 330,  340, 360  (default is 320)
                 Panasonic     - 330, 340             (default is 330)
                 Mitsumi       - 320, 340             (default is 320)
                 IDE           - 170                  (default)

        CDIRQ:   None, 3, 5, 7, 9, 10, 11  (default based on CDTYPE)
                 SONY          - All the above choices are valid.
                 Panasonic     - None      (polled device, no interrupts)
                 IDE           - 15        (default)

        JOYSTICK  0, 1          (default is 1 for enabled)

        OPL       3, 4          (3 for OPL3, 4 for OPL4, default is 3)


PART 5 - Turn on/off the 3D SRS sound effect at DOS command prompt

        1. Copy the SET3D.EXE to the C:\OS2 directory.

        2. Run "set3d 2" for turning on 3D stereo sound effect.

        3. Run "set3d 1" for turning on 3D mono sound effect.

        4. Run "set3d 0" for turning off 3D sound effect.

        5. Run "set3d" for showing 3D sound effect status.


PART 6 - Brief Trouble-Shooting Session

        Problem:  OS/2 cannot detect your sound card and/or CD-ROM
        Solution: Ensure that the BASEDEV=MAD16.ADD... line is located at the
                  very first line of your CONFIG.SYS file.

        Problem:  No startup sound when starting OS/2
        Solution: Check if System Sound is enabled

        Problem:  Sounds keep repeating
        Solution: This is due to an interrupt conflict on your system. To
                  use a different interrupt selection, open the CONFIG.SYS
                  file for editing and change the SBIRQ option in the
                  MAD16.ADD line to a different interrupt. Be sure also to
                  specify the same option for the Sound Blaster Pro
                  compatible driver line as well. The Sound Blaster Pro
                  compatible driver line is usually denoted by:
                  C:\MMOS2\SBP2D2.SYS...

        Problem:  DOS games do not work under OS/2 DOS session
        Solution: Run OS/2 Add Programs located in the System Setup folder
                  to ask OS/2 to add the set of DOS games on your system.
                  This allows OS/2 to setup the DOS session settings best
                  suited for your individual games such as DOOM.

                  If the DOS game still does not run, this may be due to
                  the incompatibility of the game with OS/2. Consult the
                  OS/2 newsgroup - comp.os.os2.games on the internet for
                  FAQs relating to this subject, or the FTP site -
                  hobbes.nmsu.edu.

        Problem:  IDE CD-ROM does not work
        Solution: Ensure that the IDE CD-ROM jumper is closed on your sound
                  card. Consult your sound card manual for details.

        Problem:  Can not install genoa CD-ROM CDG-220.
        Solution: Genao CD-ROM is not supported at OS/2 yet.








